Subject: bug#47633: Provide direct download to .iso

From: Julien Lepiller <[email-masked]>
Date: Thu, 08 Apr 2021 17:25:26 -0400

Well, providing a .iso with compression would hopefully be similar to .iso.xz, and it would allow us to provision guix directly in gnome-boxes etc, that rely on osinfo-db (we have guix there, but no URL because of the extension).

Le 8 avril 2021 14:50:58 GMT-04:00, Leo Famulari <[email-masked]> a écrit :
>On Wed, Apr 07, 2021 at 05:31:57AM +0000, bo0od wrote:
>> I see that guix compress its image here:
>> 
>> https://guix.gnu.org/en/download/
>> 
>> Which im not sure why (I dont see any known project doing that),
>
>The reason is to save bandwidth.
>
>> But regardless to the reason behind it this is actually give some
>> problems to users who want to use Guix on outside server, Many host
>> providers nowadays they give the opportunity to install whatever the
>> user want from distros according to his wish from outside source but
>> one thing needed for that is the URL to the .iso , And the host gonna
>> download/run/import the .iso for the user.
>
>I have two suggestions:
>
>1) Host the uncompressed ISO yourself and send that link to your host
>provider
>
>2) Ask the host provider to download and uncompress the ISO on their
>own. They should be able to do this because they will have to store the
>ISO file on their servers anyways.